Delete multiple detection rules
deprecated
- Base URL
-
https://{kibana_url}
- POST also DELETE /api/detection_engine/rules/_bulk_delete
- POST /s/{space_id}/api/detection_engine/rules/_bulk_delete
Refer to Spaces for more information.
Delete detection rules in bulk.
Warning
This API is deprecated and will be removed in Kibana v9.0.
Request body
A JSON array of id or rule_id fields of the rules you want to delete.
Responses
Indicates a successful call.
Response Type: union
Invalid input data response
One of:
Unsuccessful authentication response